package gov.va.vinci.dart.json;

public class AdminToolNarrativeView {
	
	private String trackingNumber;
	private boolean janitor;
	private String officialName;
	private String shortName;
	private String narrativeText;
	private int requestId;
	private boolean amendment;
	private boolean researchRequest = false;
	private boolean operationsRequest = false;
	private boolean preparatoryRequest = false;


	public int getRequestId() {
		return requestId;
	}

	public void setRequestId(int requestId) {
		this.requestId = requestId;
	}

	public String getOfficialName() {
		return officialName;
	}

	public void setOfficialName(String officialName) {
		this.officialName = officialName;
	}	
	
	public String getShortName() {
		return shortName;
	}

	public void setShortName(String shortName) {
		this.shortName = shortName;
	}
	
	public String getNarrativeText() {
		return narrativeText;
	}

	public void setNarrativeText(String narrativeText) {
		this.narrativeText = narrativeText;
	}

	public String getTrackingNumber() {
		return trackingNumber;
	}
	
	public void setTrackingNumber(String trackingNumber) {
		this.trackingNumber = trackingNumber;
	}		
	
	public boolean isJanitor() {
		return janitor;
	}
	
	public void setJanitor(boolean janitor) {
		this.janitor = janitor;
	}
	
	public boolean isAmendment() {
		return amendment;
	}

	public void setAmendment(boolean amendment) {
		this.amendment = amendment;
	}

	public boolean isResearchRequest() {
		return researchRequest;
	}

	public void setResearchRequest(boolean researchRequest) {
		this.researchRequest = researchRequest;
	}

	public boolean isPreparatoryRequest() {
        return preparatoryRequest;
    }

    public void setPreparatoryRequest(boolean preparatoryRequest) {
        this.preparatoryRequest = preparatoryRequest;
    }

    public boolean isOperationsRequest() {
		return operationsRequest;
	}

	public void setOperationsRequest(boolean operationsRequest) {
		this.operationsRequest = operationsRequest;
	}
}
